Ошибки на форуме и необходимость доработок

Автор tekseo, 25 Январь 2020, 11:48:08

« назад - далее »

0 Пользователей и 1 гость просматривают эту тему.

tekseo

Здравствуйте,
Форум seotok.com долгое время был в заморозке, лишь в январе получилось начать работать с ним - организовал свою команду, которая активно публикует посты, общается. Вообщем запустили форум, ура. Но вот только возникли проблемы:

1) изначально ставилась версия 2.0.14, далее к ней были установлены обновления 2.0.15, 2.0.16 и 2.0.17 Может так и было, а может после обновлений стало - вообщем нет возможности ответа на чьё-либо сообщение. Т.е. можно просто отвечать в теме, но нельзя цитировать кого-либо. С чем может быть связано? Тема стоит https://custom.simplemachines.org/themes/index.php?lemma=2498 - может она не поддерживать все возможности 2.0.17 ?? Прикрепляю то, как выглядит тема и её возможности - может быть что-то не включил в админке? (вроде всё пересмотрел раз на 5)

2) Как расширить возможности ответа - например на данном форуме можно без BB кодов корректировать, а на моём форуме только есть несколько функций. Пробовал ставить доп плагин - ничего не изменилось. Прикладываю принтскрин

Очень хочется уже начинать развивать форум.
Буду рад любым советом. 
Заранее спасибо  O0

Delysid

27 Январь 2020, 03:58:10 #1 Последнее редактирование: 27 Январь 2020, 04:22:34 от Delysid
До 2.0.16 работало? Тогда вот фикс: https://www.simplemachines.ru/index.php?msg=178334
Если помог тогда с вас разрешение разместить ссылку на мой маленький игровой форум... :)
Посмотрел, что то у вас или права отключены (не мог тему создать) и этот скрипт криво работает Anti-spam вроде. Попробуйте отключить на пробу.
Если это всё не помогло, то перепроверять скрипты форума вероятно придётся..
По быстрому можно пробовать подставлять из стандартной темы а также sub.php перепроверить надо...

tekseo

Цитата: Delysid от 27 Январь 2020, 03:58:10До 2.0.16 работало? Тогда вот фикс: https://www.simplemachines.ru/index.php?msg=178334
Если помог тогда с вас разрешение разместить ссылку на мой маленький игровой форум... :)
Посмотрел, что то у вас или права отключены (не мог тему создать) и этот скрипт криво работает Anti-spam вроде. Попробуйте отключить на пробу.
Если это всё не помогло, то перепроверять скрипты форума вероятно придётся..
По быстрому можно пробовать подставлять из стандартной темы а также sub.php перепроверить надо...
К сожалению не помогло.
Пробовал из указанной вами темы:
https://www.simplemachines.org/community/index.php?topic=571082.msg4042162#msg4042162
А вот https://www.simplemachines.org/community/index.php?topic=571082.msg4042818#msg4042818 не знаю как применить - не нашёл подобное не в одном файле темы. Может что-то не то или нужно было не в теме искать?

Есть ли ещё варианты?
Готов оплатить разумную сумму.


tekseo

Цитата: digger® от 27 Январь 2020, 10:53:17Откатится на 2.0.15 и дождаться 2.0.18 с исправлениями.

При удалении обновления 2.017 а затем 2.0.16 происходит ошибка Deprecated: Function create_function() is deprecated in seotok.com/Sources/Load.php on line 250 которая вываливается на сайте

tekseo

Есть опасение, что 2.0.18 или выйдет очень не скоро, или не поможет решить проблему. Помогите пожалуйста найти решение. Если вопрос в цене - скажите сколько.

Delysid

Цитата: tekseo от 27 Январь 2020, 18:01:29Есть опасение, что 2.0.18 или выйдет очень не скоро, или не поможет решить проблему. Помогите пожалуйста найти решение. Если вопрос в цене - скажите сколько.
Так если вы откатываетесь то версию PHP меньше поставьте..
А речь ведётся о script.js и возможно в вашей теме его нет и он берётся из дефолтной темы.



tekseo

28 Январь 2020, 08:17:44 #7 Последнее редактирование: 28 Январь 2020, 08:47:37 от tekseo
Цитата: Delysid от 27 Январь 2020, 22:47:42Так если вы откатываетесь то версию PHP меньше поставьте..
А речь ведётся о script.js и возможно в вашей теме его нет и он берётся из дефолтной темы.




Спасибо за уточнение, попробовал откорректировать в /Themes/default/scripts/script.js - ничего не изменилось.
Кстати, обратил внимание, что тема дефолтная значится как "SMF Default Theme - Curve (2.0.14)" - значит ли это то, что её нужно обновить? Где можно скачать новые версии дефолтных тем?

Так если вы откатываетесь то версию PHP меньше поставьте..
- Тоже подумал об этом, вроде PHP 7.2 с последних версий начал форум поддерживать. Но всё же нет желания откатываться на старые версии форума.

Есть ли ещё какие либо решения? На данный момент вижу пути:
1. Попробовать обновить дефолтную тему - где можно скачать новые дефолтные версии темы?
2. Если переустановить форум с новой версией с нуля - база же тоже будет пустая, т.е. все темы слетят? Или можно всё же оставить базу а файлы обновить?
3. Какие файлы отвечают за вывод возможности ответа на чужие комментарии? Может быть их попробовать обновить или взять из последних редакций?
4. Функция "WYSIWYG редактор" выключена - она может как-то влиять на отображения возможности цитирования чужих комментариев? вообще какая функция включает эти возможности ли не такового включения/выключения?

Дополнено:
Скачал дистрибутив версии 2.0.17 и оттуда извлек:
- \Themes\default\
- \Themes\core\
затем залил в соответствующие папки на хостинге
После это в админке значатся:
SMF Default Theme - Curve (2.0.14)
Core Theme (2.0.16)
также обновил \Themes\default\scripts\script.js
Пока ничего не помолго ( Всё еще нельзя отвечать на комментарии других

Delysid

Только вы можете догадываться почему это у вас произошло... Если ошибок в админке не пишет то это тёмный лес..
И как это помочь починить непонятно, нужно вангой быть..
Восстановите всё как было. Откатитесь если работало на 2.0.15 и поставьте максимум PHP 7.1.
А вообще у вас почти пустой форум... Поставили бы вы его заново.